summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorSergej Schmidt2017-03-15 20:51:18 +0100
committerSergej Schmidt2017-03-15 20:51:18 +0100
commit14d686d426a3ef32f2c7ec6c9e7428cac0f27f46 (patch)
treec59869d2eba277cf3e778a446d1b7cdc6b358a30 /PKGBUILD
downloadaur-14d686d426a3ef32f2c7ec6c9e7428cac0f27f46.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d76b398f854
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Sergej "winnie" Schmidt <sergej@hex.house>
+
+_py="python"
+_eggname="minepy"
+pkgname=${_py}-${_eggname}
+pkgver=1.2.0
+pkgrel=1
+pkgdesc="minepy provides an ANSI C library for the Maximal Information-based Nonparametric Exploration (MIC and MINE family)"
+arch=('any')
+url="https://minepy.readthedocs.io"
+license=('GPL3')
+depends=("${_py}" "${_py}-numpy" "${_py}-sphinx")
+makedepends=("${_py}-setuptools")
+options=(!emptydirs)
+source=(${_eggname}-${pkgver}.tar.gz::https://github.com/minepy/minepy/archive/${pkgver}.tar.gz)
+provides=('python-minepy')
+sha256sums=('4c27086a9303807c88125726c999ceb3331a8e7a00f7801d9989f00e7afdf950')
+
+package() {
+ cd "${srcdir}/${_eggname}-${pkgver}"
+ ${_py} setup.py install --root="$pkgdir" || return 1
+ install -Dpm644 "gpl-3.0.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ msg "Install successful."
+}